package com.xhpc.user.service;

import com.xhpc.user.domain.XhpcOperator;

import java.util.List;
import java.util.Map;


/**
 * 运营商信息 服务层
 *
 * @author ruoyi
 */
public interface IXhpcOperatorService {

    /**
     * 新增任务
     *
     * @param xhpcOperator 运营商信息
     * @return 结果
     */
    public int insert(XhpcOperator xhpcOperator);

    /**
     * 更新任务
     *
     * @param xhpcOperator 运营商信息
     * @return 结果
     */
    public int update(XhpcOperator xhpcOperator);

    /**
     * 批量删除运营商信息
     *
     * @param ids 需要删除的运营商ID
     * @return 结果
     */
    public void deleteByIds(String ids);

    /**
     * 校验账号是否唯一
     *
     * @param xhpcOperator 运营商信息
     * @return 结果
     */
    public String checkAccountUnique(XhpcOperator xhpcOperator);

    /**
     * 查询运营商详情
     *
     * @param operatorId 运营商id
     * @return 结果
     */
    public Map<String, Object> info(Long operatorId);

    /**
     * 获取运营商分页列表
     *
     * @param name         运营商名称
     * @param contactName  联系人
     * @param contactPhone 联系人电话
     * @return 结果
     */
    public List<Map<String, Object>> selectOperatorList(String tenantId,Long operatorId,String name, String contactName, String contactPhone, String createTimeStart, String createTimeEnd);

    /**
     * 删除用户
     *
     * @param userId 用户id
     * @return 结果
     */
    public int removeUser(Long userId);

    /**
     * 禁用/启用运营商
     *
     * @param operatorId 运营商id
     * @return 结果
     */
    public void status(Long operatorId);

    List<XhpcOperator> getOperatorListByTenantId(String tenantId);
}